import React from "react";
import { XFormConfiguration } from "./Form/XFormConfiguration";
import { UserFormData } from "./Form/UserFormData";
import "./App.css";
interface ISubMenuItem {
    name: string;
    slug?: string;
    ui?: () => JSX.Element;
}
interface IMenuItem {
    name: string;
    slug?: string;
    subItems?: ISubMenuItem[];
    ui?: () => JSX.Element;
}
declare class App extends React.Component<{}, {
    page?: string;
    category: string;
}> {
    constructor(props: {});
    page?: string;
    category: string;
    filledFormConfig: XFormConfiguration;
    filledFormData: UserFormData;
    formConfig: XFormConfiguration;
    formData: UserFormData;
    componentDidMount(): void;
    menuItems: IMenuItem[];
    registerMenuItems(): void;
    changePage(category: string, page?: string): void;
    getPage(): string | undefined;
    getCategory(): string;
    renderNavItem(isClickable: boolean, category: string, page?: string): JSX.Element;
    render(): JSX.Element;
    RenderBuilder(): JSX.Element | null;
}
export default App;
